<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TermsAndCondition;
use Auth;
use DB;

class TermsAndConditionController extends Controller
{
    public function accept(Request $request){
    	$t_and_c = TermsAndCondition::orderBy('created_at', 'desc')->first();

    	$exists = DB::table('terms_and_condition_user')->where('user_id', Auth::user()->id)->where('terms_and_condition_id', $t_and_c->id)->first();
    	if($exists){
           return response(["accepted" => true]);
    	}else{
    		DB::table('terms_and_condition_user')->insert([
    			"user_id" => Auth::user()->id,
    			"terms_and_condition_id" => $t_and_c->id,
    		]);
            return response(["accepted" => true]);
    	}//else
    }//end of method


    public function terms(Request $request){
    	$t_and_c = TermsAndCondition::orderBy('created_at', 'desc')->first();
    	$exists = DB::table('terms_and_condition_user')
                     ->where('user_id', Auth::user()->id)
                     ->where('terms_and_condition_id', $t_and_c->id)
                     ->first();

    	if($exists){return response(["accepted" => true]);}
           else{
                 return response([
                                  "accepted" => false, 
                                  "terms" => $t_and_c->description
                                 ]);
    	       }//else
    }//end of method
}
