<?php

namespace App\Http\Middleware;

use Closure;
use Auth;
use Redirect;
use Session;

class SuperAdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if(Auth::user()->role->title == 'SuperAdmin'){
           Session::put('role_id', Auth::user()->role->id); 
           return $next($request);
          }else{
                return Redirect::to('permission_denied');
               }
    }
}
