<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Product extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
         return [
            'id' => $this->id,
            'name' => $this->title,
            'status' => $this->is_active,
            'image' => $this->image,
            'sub_category_id' => $this->sub_category_id,
            'supplier' => $this->supplier_id,
            ];
    }
}
