<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Feedback extends Model
{
    use SoftDeletes;

    protected $fillable = ['user_id', 'rating', 'comment'];



    public function user(){
        return $this->belongsTo('App\User');
    }
}
