<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Role extends Model
{
	use SoftDeletes;


     protected $fillable = ['title'];



    public function users(){
        return $this->hasMany('App\User', 'role_id', 'id');
    }


    public function permissions(){
        return $this->hasMany('App\Models\Permission');
    }
}
