<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Stock extends Model
{
    use SoftDeletes;

    protected $fillable = [
	    	               'pub_id', 
	    	               'modified_by',
                           'is_active'    
    	             ];


    public function pub(){
        return $this->belongsTo('App\Models\Pub');
    }

    public function products(){
        return $this->belongsToMany('App\Models\Product');
    }

    

}
