<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class TermsAndCondition extends Model
{
     use SoftDeletes;

    protected $fillable = [
	    	               'version',
	    	               'description',   
    	             ];

     public function users(){
        return $this->belongsToMany('App\User');
    }

}
