<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserMetadata extends Model
{
    use SoftDeletes;

    protected $fillable = ['modified_by', 'name', 'value'];



    public function user(){
        return $this->belongsTo('App\User');
    }



}
