<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SuppliersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        
        DB::table('suppliers')->insert(
        	[
              [
	            'modified_by' => 1,
	            'name' => 'Heineken Ireland Limited',
	            'supplier_code' => 'HIL',
	            'email' => 'rabbany85@gmail.com',
	            'REF' => 101,
	            'integrated' => 1,
              ],
              [
	            'modified_by' => 1,
	            'name' => 'Comans',
	            'supplier_code' => 'CBL',
	            'email' => 'titu_ctg2003@yahoo.com',
	            'REF' => 101,
	            'integrated' => 1,
              ],
              [
	            'modified_by' => 1,
	            'name' => 'Heineken Ireland Glassware',
	            'supplier_code' => 'HIL_POS',
	            'email' => 'golam.rabbany@sequelgroup.co.uk',
	            'REF' => 101,
	            'integrated' => 1,
              ],
              [
	            'modified_by' => 1,
	            'name' => 'Any',
	            'supplier_code' => 'Any',
	            'email' => 'afzsult@gmail.com',
	            'REF' => 101,
	            'integrated' => 0,
              ]
        ]);

        //factory(App\Models\Supplier::class, 20)->create();
    }
}
