<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class UsersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
            ['role' => 'Super Admin'],
            ['role' => 'Admin'],
            ['role' => 'Pub Manager'],
            ['role' => 'Pub Admin'],
            ['role' => 'Supplier']
     *
     * @return void
     */
    public function run(){
          DB::table('users')->insert(      
    	      [
              [
                'name' => 'Mr. Super Admin',
	              'known_as' => 'SuperMan',
	              'phone' => '07958079069',
	              'role_id' => 1,
	              'email' => 'super@test.com',
	              'password' => Hash::make('secret'),
	            ],
                [
                  'name' => 'Mr. Golam Rabbany',
                  'known_as' => 'Golam',
                  'phone' => '07958079069',
                  'role_id' => 4,
                  'email' => 'rabbany85@gmail.com',
                  'password' => Hash::make('secret'),
                ],
                [
                  'name' => 'Mr. Andre Kutzborski',
                  'known_as' => 'Andre',
                  'phone' => '07000000000',
                  'role_id' => 4,
                  'email' => 'andre.kutzborski@sequelgroup.co.uk',
                  'password' => Hash::make('secret'),
                ]
	           ]); 

	      factory(App\User::class, 1000)->create();       
    }
}
