<nav class="navbar navbar-expand-md">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            {{ config('app.name', 'OMS') }}
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <!-- Left Side Of Navbar -->
            @SuperAdmin
              <ul class="navbar-nav mr-auto">
                 <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('home')}}">Home 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="nav-item dropdown nav-admin">
                    <a id="adminDropdown" class="our-nav-link nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                Admin <span class="caret"></span>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="adminDropdown">
                         <ul class="navbar-submenu">
                             <li style="list-style-type: none;">
                                  <a class="nav-link our-nav-link" href="{{route('admin.index')}}">System Admin 
                                     <span class="sr-only">(current)</span>
                                  </a>
                             </li>                                    
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('pub_manager.index')}}">Pub Admin 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('pub_admin.index')}}">Pub User 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>  
                         </ul>
                    </div>
                </li>
                <li class="nav-item dropdown nav-admin">
                    <a id="adminDropdown" class="our-nav-link nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                Product <span class="caret"></span>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="adminDropdown">
                         <ul class="navbar-submenu">
                             <li style="list-style-type: none;">
                                  <a class="nav-link our-nav-link" href="{{route('product.index')}}">Product 
                                     <span class="sr-only">(current)</span>
                                  </a>
                             </li>                                    
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('category.index')}}">Category 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('sub_category.index')}}">Sub Category 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('supplier.index')}}">Supplier 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>  
                         </ul>
                    </div>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('pub.index')}}">Pub 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{URL::to('current_order')}}">Order 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                 <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('feedback.index')}}">Feedback 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('t_and_c.index')}}">
                        T & C 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('setting.index')}}">
                        Setting 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
             </ul>
            @endSuperAdmin
            @Admin
              <ul class="navbar-nav mr-auto">
                 <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('home')}}">Home 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="nav-item dropdown nav-admin">
                    <a id="adminDropdown" class="our-nav-link nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                Admin <span class="caret"></span>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="adminDropdown">
                         <ul class="navbar-submenu">
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('pub_manager.index')}}">Pub Admin 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('pub_admin.index')}}">Pub User 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>  
                         </ul>
                    </div>
                </li>
                <li class="nav-item dropdown nav-admin">
                    <a id="adminDropdown" class="our-nav-link nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                Product <span class="caret"></span>
                    </a>
                    <div class="dropdown-menu" aria-labelledby="adminDropdown">
                         <ul class="navbar-submenu">
                             <li style="list-style-type: none;">
                                  <a class="nav-link our-nav-link" href="{{route('product.index')}}">Product 
                                     <span class="sr-only">(current)</span>
                                  </a>
                             </li>                                    
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('category.index')}}">Category 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('sub_category.index')}}">Sub Category 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>
                             <li style="list-style-type: none;">
                                 <a class="nav-link our-nav-link" href="{{route('supplier.index')}}">Supplier 
                                    <span class="sr-only">(current)</span>
                                 </a>
                             </li>  
                         </ul>
                    </div>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('pub.index')}}">Pub 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{URL::to('current_order')}}">Order 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                 <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('feedback.index')}}">Feedback 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('t_and_c.index')}}">
                        T & C 
                        <span class="sr-only">(current)</span>
                    </a>
                <li class="our-nav-item nav-item">
                    <a class="nav-link our-nav-link" href="{{route('setting.index')}}">
                        Setting 
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
             </ul>
            @endAdmin
            <!-- Right Side Of Navbar -->
            <ul class="navbar-nav ml-auto">
                <!-- Authentication Links -->
                @guest
                    <li class="nav-item">
                        <a class="our-nav-link nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                    </li>                    
                @else
                    <li class="nav-item dropdown">
                        <a id="navbarDropdown" class="our-nav-link nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            {{ Auth::user()->name }}<span class="caret"></span>
                        </a>

                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="{{ route('logout') }}"
                               onclick="event.preventDefault();
                                             document.getElementById('logout-form').submit();">
                                {{ __('Logout') }}
                            </a>

                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>


                           

                        </div>                        
                    </li>
                @endguest
            </ul>
        </div>
    </div>
</nav>
