@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Setting</div>
                <div class="card-body">
                    <div class="card-options">
                       <div class="d-flex justify-content-around mb-3">
                            <div class="d-flex justify-content-start mb-3 page-title">
                                <div class="p-2">
                                    <h2>Delete Version {{ $setting->version }}</h2>
                                </div>  
                            </div> 
                            <div class="d-flex justify-content-end mb-3 page-edit">
                                <div class="p-2">
                                    <a href="{{ route('setting.index') }}">
                                        <button type="button" class="btn btn-light">Version List</button>
                                    </a>
                                </div>
                            </div>
                        </div><!--End of d-flex-->
                        <div class="p-2 sq-clear">
                            <h3>This operation can not be undone!!</h3>
                            <div class="d-flex justify-content-start mb-3">
                                <div class="p-2">
                                    <a href="{{ route('setting.index') }}" class="btn btn-info btn-lg">Cancel</a>
                                </div><!--End of p-2-->
                                <div class="p-2">
                                    <form method="POST" action="{{ route('setting.delete', ['setting' => $setting->id])}}">
                                          @csrf
                                        <input type="hidden" name="id" value="{{$setting->id}}">
                                         <input class="btn btn-danger btn-lg" type="submit" value="Delete">
                                    </form>
                                </div><!--End of p-2-->
                             </div><!--End of d-flex-->
                        </div><!--End of col-md-12-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

