@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Supplier</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <a href="{{ route('supplier.index') }}">
                                <button type="button" class="btn btn-light">Go Back</button>
                            </a>
                        </div>
  
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                              <h1>{{ $supplier->name }}</h1>
                            </div>
                        </div><!--End of d-flex-->

                        <div class="d-flex justify-content-end mb-3 page-edit">
                            <div class="p-2">
                                 <a href="{{ route('supplier.edit', ['supplier' => $supplier->id]) }}">
                                       <button type="button" class="btn btn-light">Edit</button>
                                 </a>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                 <a href="{{ route('supplier.delete', ['supplier' => $supplier->id]) }}">
                                     <button type="button" class="btn btn-outline-primary">Delete</button>
                                  </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                  
                        <div class="d-flex mb-3 sq-clear">
                            <div class="p-2">
                                <table class="table table--single">
                                    <tr>
                                        <td>Supplier Code</td>
                                        <td>{{ $supplier->supplier_code }}</td>
                                    </tr>
                                    <tr>
                                        <td>Email</td>
                                        <td>{{ $supplier->email }}</td>
                                    </tr>
                                    <tr>
                                        <td>REF</td>
                                        <td>{{ $supplier->REF }}</td>
                                    </tr>
                                </table>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
