@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Tearms And Condition</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <a href="{{ route('t_and_c.index') }}">
                                <button type="button" class="btn btn-light">Go Back</button>
                            </a>
                        </div>
  
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                              <h1>{{ $t_and_c->version }}</h1>
                            </div>
                        </div><!--End of d-flex-->

                        <div class="d-flex justify-content-end mb-3 page-edit">
                          
                            <div class="p-2">
                                 <a href="{{ route('t_and_c.delete', ['t_and_c' => $t_and_c->id]) }}">
                                     <button type="button" class="btn btn-outline-primary">Delete</button>
                                  </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                  
                        <div class="d-flex mb-3 sq-clear">
                            <div class="p-2">
                                <p>{{$t_and_c->description}}</p>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

