<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\Setting as SettingResource;
use App\Http\Resources\SettingCollection;
use Illuminate\Http\Request;
use App\Models\Setting;
use Auth;
use DB;

class SettingController extends Controller
{
    public function index(Request $request){
        $settings = Setting::get();
        return new SettingCollection($settings);
    }

    public function single(Request $request){
        $setting = Setting::where('name', $request->name)->first();
        return new SettingResource($setting);
    }//end of method
}
