<?php

namespace App\Http\Controllers\Stock;

use App\Http\Controllers\Controller; 
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\Pub;
use App\Models\Stock;
use App\Models\Order;
use App\Models\Suborder;


class NewStockController extends Controller
{
    public function create_new_stock(){

    	$pubs = Pub::where('is_active', 1)->get();
    	$pubs->map(function($pub){
             
             $is_found = Stock::where('pub_id', $pub->id)->where('is_active', 1)->first();      
             if($is_found){
                 $is_found->is_active = 0;
                 $is_found->save();
                }


              $stock = new Stock;
              $stock->pub_id = $pub->id;
              $stock->save();
              
              $products =  Pub::where('id', $pub->id)->first()->products;
              foreach($products as $product){
                      DB::table('product_stock')->insert([
                         'product_id' => $product->id,
                         'stock_id' => $stock->id,
                         'qty' => 0, 
                      ]);
                     }//end of foreach



               $order = Order::where('pub_id', $pub->id)->where('is_current', 1)->first();
               if($order){
                  $order->is_current = 0;
                  $order->save();
                  $suborders = Suborder::where('order_id', $order->id)->where('is_sent', 0)->get();
                  foreach($suborders as $suborder){
                          $suborder->is_ignored = 1;
                          $suborder->save();
                         }//end of for each
                  }//if order exists

              
               
/*
This part I would have to rethink......................
*/

/*

              $order = new Order;
              $order->user_id = 1;
              $order->pub_id = $pub->id;
              $order->save();

              $products =  Pub::where('id', $pub->id)->first()->products;
               
              foreach($products as $product){
                     $target_qty = 0;
                     $stock_qty = 0;
                     $target_qty = DB::table('product_pub')->where('pub_id', $pub->id)->where('product_id', $product->id)->first()->target_qty; 
                     $stock_qty = DB::table('product_stock')->where('stock_id', $stock->id)->where('product_id', $product->id)->first()->qty;
                     if($target_qty > $stock_qty){
                        $order_qty = $target_qty - $stock_qty;
                       }else{
                          $order_qty = 0;
                      }

                      $is_found = DB::table('order_product')->where('order_id', $order->id)->where('product_id', $product->id)->first();
                      if(!$is_found){
                            DB::table('order_product')->insert([
                                 'product_id' => $product->id,
                                 'order_id' => $order->id,
                                 'qty' => $order_qty, 
                              ]);
                          }//end of is_found
                       else{
                            DB::table('order_product')
                               ->where('order_id', $order->id)
                               ->where('product_id', $product->id)
                               ->update(['qty' => $order_qty]);
                            }//end of else   
                       }//end of for each

                       */
             
    	  });

    }//end of create_new_stock method
}//end of class
