<?php

namespace App\Http\Middleware;

use Closure;
use Redirect;
use Auth;
use Session;

class PubAdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
          switch (Auth::user()->role->title) {
            case 'SuperAdmin':
                  Session::put('role_id', Auth::user()->role->id);
                  return $next($request);
                  break;
            case 'Admin':
                  Session::put('role_id', Auth::user()->role->id);
                  return $next($request);
                  break;
            case 'PubAdmin':
                  Session::put('role_id', Auth::user()->role->id);
                  return $next($request);
                  break;
            case 'PubUser':

                            if(Auth::user()->pub_id == NULL){
                               return Redirect::to('permission_denied');
                               break;  
                              }
                                Session::put('role_id', Auth::user()->role->id);
                                Session::put('pub_id', Auth::user()->pub_id);
                                return $next($request);
                                break;
            default: return Redirect::to('permission_denied');            
        }
    }
}
