<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Pub extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
                'id' => $this->id,
                'name' => $this->name,
                'address_line_1' => $this->address_line1,
                'address_line_2' => $this->address_line2,
                'city' => $this->city,
                'postcode' => $this->postcode,
                'country' => $this->country,
                'eircode' => $this->eircode,
                'account_no' => $this->account_no,
                'HIL_payer_no' => $this->HIL_payer_no,
                'CBL_acc_no' => $this->CBL_acc_no,
            ];
    }
}
