<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use App\Models\Stock;
use App\Models\Pub;

class PubsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {  
        $pub = new Pub;
        $pub->modified_by = 1;
        $pub->name = 'Queens Head';
        $pub->address_line1 = '21 High street';
        $pub->city = 'London';
        $pub->postcode = 'RT3 12SW';
        $pub->country = 'UK';
        $pub->email = 'rabbany85@gmail.com';
        $pub->save();

        $pub = new Pub;
        $pub->modified_by = 1;
        $pub->name = 'Old Queens Head';
        $pub->address_line1 = '200 High street';
        $pub->city = 'London';
        $pub->postcode = 'E6 1BW';
        $pub->country = 'UK';
        $pub->email = 'titu_ctg2003@yahoo.com';
        $pub->save();


        factory(App\Models\Pub::class, 1000)->create();

        DB::table('pub_user')->insert([
            [
              "pub_id" => 1,
              "user_id" => 2
            ],
            [
              "pub_id" => 2,
              "user_id" => 2
            ],
            [
              "pub_id" => 3,
              "user_id" => 2
            ],
            [
              "pub_id" => 1,
              "user_id" => 3
            ],
            [
              "pub_id" => 2,
              "user_id" => 3
            ],
            [
              "pub_id" => 3,
              "user_id" => 3
            ]  
        ]);
    }
}
