@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Admin</div>
                <div class="card-body">    
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <a href="{{ route('admin.index') }}">
                                   <button type="button" class="btn btn-light">Go Back</button>
                             </a>
                        </div>
                    </div><!--End of d-flex-->
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Name: {{ $admin->name }}</h2>
                        </div>
                    </div><!--End of d-flex-->
                    <div class="d-flex justify-content-end mb-3">
                        <div class="p-2">
                             <a href="{{ route('admin.edit', ['admin' => $admin->id]) }}">
                                   <button type="button" class="btn btn-light">Edit</button>
                             </a>
                        </div><!--End of p-2-->
                        <div class="p-2">
                             <a href="{{ route('admin.delete', ['admin' => $admin->id]) }}">
                                 <button type="button" class="btn btn-outline-primary">Delete</button>
                              </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                    <div class="d-flex justify-content-start mb-3">
                      <div class="p-2">
                           <h3>Contact Details:</h3>
                              Known as: {{ $admin->known_as }}<br>
                              Phone: {{ $admin->phone }}<br>
                              Email: {{ $admin->email }}<br>
                              Role:  {{ $admin->role->title }}<br>
                      </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
