@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Feedback</div>
                <div class="card-body">
                  <script>
                      function goBack() {
                        window.history.back();
                      }
                   </script>
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <button onclick="goBack()">Go Back</button>
                        </div>
                    </div><!--End of d-flex-->
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Create a new Feedback</h2>
                        </div>   
                    </div><!--End of d-flex-->
                    <div class="col-md-12">
                        @if ($errors->any())
                             @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                             @endforeach  
                        @endif
                        <form action="{{ route('pub_manager.new')}}" method="POST">
                          @csrf
                          <label>
                            <input type="radio" name="stars" value="1" />
                            <span class="icon">★</span>
                          </label>
                          <label>
                            <input type="radio" name="stars" value="2" />
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                          </label>
                          <label>
                            <input type="radio" name="stars" value="3" />
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>   
                          </label>
                          <label>
                            <input type="radio" name="stars" value="4" />
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                          </label>
                          <label>
                            <input type="radio" name="stars" value="5" />
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                            <span class="icon">★</span>
                          </label>
                        </form>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
