@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Feedback</div>
                <div class="card-body">
                    <div class="card-options">
                        <div class="d-flex justify-content-start mb-3">
                            <a href="{{ route('feedback.index') }}">
                                <button type="button" class="btn btn-light">Go Back</button>
                            </a>
                        </div>
  
                        <div class="d-flex justify-content-start mb-3 page-title">
                            <div class="p-2">
                              <h1>{{ $feedback->user->name ?? ""}}</h1>
                            </div>
                        </div><!--End of d-flex-->

                        <div class="d-flex justify-content-end mb-3 page-edit">
                          
                            <div class="p-2">
                                 <a href="{{ route('feedback.delete', ['feedback' => $feedback->id]) }}">
                                     <button type="button" class="btn btn-outline-primary">Delete</button>
                                  </a>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                  
                        <div class="d-flex mb-3 sq-clear">
                            <div class="p-2">
                                <table class="table table--single">
                                    <tr>
                                        <td>Rating</td>
                                        <td>{{ $feedback->rating }}</td>
                                    </tr>
                                    <tr>
                                        <td>Comment</td>
                                        <td>{{ $feedback->comment }}</td>
                                    </tr>
                                </table>
                            </div><!--End of p-2-->
                        </div><!--End of d-flex-->
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection

