@extends('layouts.app')

@section('content')
<div class="container home">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                     @SuperAdmin
                      Home
                     @endSuperAdmin
                     @Admin
                      Home
                     @endAdmin
                </div>
                <div class="card-body">
                    <div class="col-md-12 main">
                        <div id="leader"></div>
                        <p class="welcome">Welcome to SmartPub</p>
                        <p>Your role is {{Auth::user()->role->title}}</p>
                    </div>
                    @SuperAdmin
                      <ul class="home-nav home-nav-admin">
                          <div class="d-flex justify-content-center mb-3">
                            <div class="p-2">
                                <li>
                                    <a href="{{route('product.index')}}">
                                       <span class="home-nav-icon home-nav-products"></span>Product
                                    </a>
                                </li>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <li>
                                    <a href="{{route('pub.index')}}">
                                       <span class="home-nav-icon home-nav-pubs"></span>Pub
                                    </a>
                                </li>
                            </div><!--End of p-2-->   
                            <div class="p-2">
                                <li>
                                    <a href="{{URL::to('current_order')}}">
                                       <span class="home-nav-icon home-nav-orders"></span>Order
                                    </a>
                                </li>
                            </div><!--End of p-2-->
                          </div><!--End of d-flex-->  
                        </ul>
                    @endSuperAdmin
                
                    @Admin
                      <ul class="home-nav home-nav-admin">
                          <div class="d-flex justify-content-center mb-3">
                            <div class="p-2">
                                <li>
                                    <a href="{{route('product.index')}}">
                                       <span class="home-nav-icon home-nav-products"></span>Product
                                    </a>
                                </li>
                            </div><!--End of p-2-->
                            <div class="p-2">
                                <li>
                                    <a href="{{route('pub.index')}}">
                                       <span class="home-nav-icon home-nav-pubs"></span>Pub
                                    </a>
                                </li>
                            </div><!--End of p-2-->   
                            <div class="p-2">
                                <li>
                                    <a href="{{URL::to('current_order')}}">
                                       <span class="home-nav-icon home-nav-orders"></span>Order
                                    </a>
                                </li>
                            </div><!--End of p-2-->
                          </div><!--End of d-flex-->  
                        </ul>
                    @endAdmin
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
