{{-- thanks https://www.itsolutionstuff.com/post/laravel-5-implement-flash-messages-with-exampleexample.html --}}

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">

			@if ($message = Session::get('success'))

			<div class="alert alert-success alert-block">

				<button type="button" class="close" data-dismiss="alert">×</button>	

					<strong>{{ $message }}</strong>

			</div>

			@endif


			@if ($message = Session::get('error'))

			<div class="alert alert-danger alert-block">

				<button type="button" class="close" data-dismiss="alert">×</button>	

					<strong>{{ $message }}</strong>

			</div>

			@endif


			@if ($message = Session::get('warning'))

			<div class="alert alert-warning alert-block">

				<button type="button" class="close" data-dismiss="alert">×</button>	

				<strong>{{ $message }}</strong>

			</div>

			@endif


			@if ($message = Session::get('info'))

			<div class="alert alert-info alert-block">

				<button type="button" class="close" data-dismiss="alert">×</button>	

				<strong>{{ $message }}</strong>

			</div>

			@endif


			@if ($errors->any())

			<div class="alert alert-danger">

				<button type="button" class="close" data-dismiss="alert">×</button>	

				Please check the form for errors:
				
				<ul>
				@foreach ($errors->all() as $error)
					<li>{{ $error }}</li>
				@endforeach
				</ul>

			</div>

			@endif

		</div>
    </div>
</div>
