@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Delete Stock</div>
                <div class="card-body">
                   <div class="d-flex justify-content-around mb-3">
                        <div class="p-2">
                          <h2>Delete Stock: {{ $stock->created_at->format('d/m/Y') }}</h2>
                        </div>   
                        <div class="p-2">
                           <a href="{{ route('stock.history') }}">
                              <button type="button" class="btn btn-light">Stock History</button>
                           </a>
                        </div><!--End of p-2-->
                    </div><!--End of d-flex-->
                    <div class="col-md-12">
                      <h3>This operation can not be undone!!</h3>
                         <div class="d-flex justify-content-start mb-3">
                              <div class="p-2">
                                <a href="{{ route('stock.history') }}" class="btn btn-info btn-lg">Cancel</a>
                              </div><!--End of p-2-->
                              <div class="p-2">
                                    <form method="POST" action="{{ route('stock.delete', ['stock' => $stock->id])}}">
                                      @csrf
                                      <input type="hidden" name="id" value="{{$stock->id}}">
                                      <input class="btn btn-danger btn-lg" type="submit" value="Delete">
                                   </form>
                              </div><!--End of p-2-->
                         </div><!--End of d-flex-->
                    </div><!--End of col-md-12-->
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
