@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">Terms and Condition</div>
                <div class="card-body">
                  <script>
                      function goBack() {
                        window.history.back();
                      }
                   </script>
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <button onclick="goBack()">Go Back</button>
                        </div>
                    </div><!--End of d-flex-->
                   <div class="d-flex justify-content-start mb-3">
                        <div class="p-2">
                          <h2>Create new Terms and Condition</h2>
                        </div>   
                    </div><!--End of d-flex-->
                    <div class="col-md-12">
                        @if ($errors->any())
                             @foreach ($errors->all() as $error)
                                    <h3>{{ $error }}</h3>
                             @endforeach  
                        @endif
                        <form action="{{ route('t_and_c.new')}}" method="POST">
                          @csrf
                          <div class="form-group">
                            <label for="usr">Version:</label>
                            <input type="text" class="form-control" name="version">
                          </div>
                          <div class="form-group">
                            <label for="comment">Description:</label>
                            <textarea class="form-control" rows="15" name="description"></textarea>
                          </div>
                          <button type="submit" class="btn btn-primary">Save</button>
                        </form>
                        <br>
                    </div>
                </div><!--End of card-body-->
            </div>
        </div>
    </div>
</div>
@endsection
